Skip to main content

importAssetToIntegration

Generic mutation to import assets to any integration type

importAssetToIntegration(
input: ImportAssetToIntegrationInput!
): ImportAssetToIntegrationPayload

Arguments​

importAssetToIntegration.input ● ImportAssetToIntegrationInput! non-null input​

Parameters for ImportAssetToIntegration

Type​

ImportAssetToIntegrationPayload object​

Autogenerated return type of ImportAssetToIntegration.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateImportAssetToIntegration($input: ImportAssetToIntegrationInput!) {\n importAssetToIntegration(input: $input) { clientMutationId errors importedCount }\n}","variables":{"input":{"companyId":"<company_id>","integrationType":"example","projects":["<JSON>"]}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute